Qt Cryptographic Architecture: QCA::KeyStoreManager Class Reference

# QCA::KeyStoreManager Class Reference
[QCA user API]

Access keystores, and monitor keystores for changes. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::KeyStoreManager:

Collaboration diagram for QCA::KeyStoreManager:

[legend]

List of all members.

## Signals
void | busyFinished ()
void | busyStarted ()
void | keyStoreAvailable (const QString &id)
## Public Member Functions
bool | isBusy () const
| KeyStoreManager (QObject *parent=0)
QStringList | keyStores () const
void | sync ()
void | waitForBusyFinished ()
## Static Public Member Functions
static void | clearDiagnosticText ()
static QString | diagnosticText ()
static void | start (const QString &provider)
static void | start ()
## Friends
class | Global
class | KeyStoreManagerPrivate
class | KeyStorePrivate

## Detailed Description

Access keystores, and monitor keystores for changes.

Before you can access a KeyStore, you must create a KeyStoreManager. You then need to start() the KeyStoreManager, and either wait for the busyFinished() signal, or block using waitForBusyFinished().

If you know the KeyStoreEntry that you need, you can use KeyStore passively, as described in the KeyStoreEntry documentation.

## Constructor & Destructor Documentation

QCA::KeyStoreManager::KeyStoreManager | ( | QObject * | parent = `0` | ) |

Create a new KeyStoreManager.

Parameters:

  | parent | the parent for this object

## Member Function Documentation

void QCA::KeyStoreManager::busyFinished | ( |  | ) | `[signal]`

emitted when the manager has finished looking for key stores

void QCA::KeyStoreManager::busyStarted | ( |  | ) | `[signal]`

emitted when the manager has started looking for key stores

static void QCA::KeyStoreManager::clearDiagnosticText | ( |  | ) | `[static]`

Clears the diagnostic result log.

static QString QCA::KeyStoreManager::diagnosticText | ( |  | ) | `[static]`

The diagnostic result of key store operations, such as warnings and errors.

bool QCA::KeyStoreManager::isBusy | ( |  | ) | const

Indicates if the manager is busy looking for key stores.

void QCA::KeyStoreManager::keyStoreAvailable | ( | const QString & | id | ) | `[signal]`

emitted when a new key store becomes available

Parameters:

  | id | the name of the key store that has become available

QStringList QCA::KeyStoreManager::keyStores | ( |  | ) | const

A list of all the key stores.

static void QCA::KeyStoreManager::start | ( | const QString & | provider | ) | `[static]`

Initialize a specific key store provider.

Parameters:

  | provider | the name of the provider to start

static void QCA::KeyStoreManager::start | ( |  | ) | `[static]`

Initialize all key store providers.

void QCA::KeyStoreManager::sync | ( |  | ) |

If you are not using the eventloop, call this to update the object state to the present.

void QCA::KeyStoreManager::waitForBusyFinished | ( |  | ) |

Blocks until the manager is done looking for key stores.

The documentation for this class was generated from the following file:

- qca_keystore.h